GNU bug report logs - #27923
24.3; -iconic switch screws up geometry

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: minor; Reported by: Geoff Kuenning <geoff@HIDDEN>; dated Wed, 2 Aug 2017 20:42:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 27923 <at> debbugs.gnu.org:


Received: (at 27923) by debbugs.gnu.org; 17 Nov 2017 09:31:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 17 04:31:37 2017
Received: from localhost ([127.0.0.1]:44237 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1eFczp-0008Fh-4L
	for submit <at> debbugs.gnu.org; Fri, 17 Nov 2017 04:31:37 -0500
Received: from mallet.cs.hmc.edu ([134.173.42.59]:56466)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <geoff@HIDDEN>) id 1eFczn-0008FZ-He
 for 27923 <at> debbugs.gnu.org; Fri, 17 Nov 2017 04:31:35 -0500
Received: from bow.cs.hmc.edu (bow-vpn.cs.hmc.edu [10.81.251.5])
 by mallet.cs.hmc.edu (Postfix) with ESMTP id A9AF9DC13DB;
 Fri, 17 Nov 2017 01:31:34 -0800 (PST)
Received: by bow.cs.hmc.edu (Postfix, from userid 13409)
 id 745776EA0987; Fri, 17 Nov 2017 01:31:34 -0800 (PST)
From: Geoff Kuenning <geoff@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
Subject: Re: bug#27923: 24.3; -iconic switch screws up geometry
References: <pnio9rx1z3x.fsf@HIDDEN> <5995604A.3050605@HIDDEN>
 <pniziawo843.fsf@HIDDEN> <59980B16.1020307@HIDDEN>
 <pni1sl0cscc.fsf@HIDDEN> <5A0D54A1.3020307@HIDDEN>
 <pni1skxak7c.fsf@HIDDEN> <5A0EA33D.2080004@HIDDEN>
 <pnishdd5lhl.fsf@HIDDEN> <5A0EAAAA.7000402@HIDDEN>
Date: Fri, 17 Nov 2017 01:31:34 -0800
In-Reply-To: <5A0EAAAA.7000402@HIDDEN> (martin rudalics's message of "Fri, 17
 Nov 2017 10:23:54 +0100")
Message-ID: <pnih8tt5k09.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; format=flowed
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 27923
Cc: 27923 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

>> Sorry, bad typing on my part.  35/34 was the height.
>>
>>>> Anyway, I finally got down to the following two lines:
>>>>
>>>> (menu-bar-mode -1)
>>>> (set-default-font (x-get-resource "Font" ""))
>>>
>>>> With both of those present, I get the absurdly narrow 
>>>> frame. If I
>>>> remove the first, then I get a frame that's 38x78.  If I 
>>>> leave the
>>>> first and remove the second, I get a teeny frame that's too 
>>>> small to
>>>> type in, but xwininfo reports it as 1x1 (so suppose emacs 
>>>> thinks it's
>>>> 2x2).  And if I remove both, I get a properly sized 
>>>> frame. (This is
>>>> all with my xrdb restored, BTW.)
>
> So are you getting a weird height, a weird width, independently 
> both or
> simultaneously both?

Sometimes normal height, tiny width (that's what prompted the 
original bug report).  Sometimes both weird height and weird 
width.  I don't think I've seen a normal width with a weird height 
but I might be misremembering.

>> It would be wonderful if the bug
>> went away on its own!
>
> Do they ever?

Heisenbugs!

More seriously, not without help from talented developers...
-- 
    Geoff Kuenning   geoff@HIDDEN 
    http://www.cs.hmc.edu/~geoff/

It's is not, it isn't ain't, and it's it's, not its, if you mean 
it
is.  If you don't, it's its.  Then too, it's hers.  It isn't 
her's.  It
isn't our's either.  It's ours, and likewise yours and theirs.
                -- Oxford University Press, Edpress News




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#27923; Package emacs. Full text available.

Message received at 27923 <at> debbugs.gnu.org:


Received: (at 27923) by debbugs.gnu.org; 17 Nov 2017 09:24:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 17 04:24:05 2017
Received: from localhost ([127.0.0.1]:44233 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1eFcsX-00084B-CD
	for submit <at> debbugs.gnu.org; Fri, 17 Nov 2017 04:24:05 -0500
Received: from mout.gmx.net ([212.227.17.20]:64513)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1eFcsV-00083e-Lp
 for 27923 <at> debbugs.gnu.org; Fri, 17 Nov 2017 04:24:04 -0500
Received: from [192.168.1.100] ([46.125.250.116]) by mail.gmx.com (mrgmx101
 [212.227.17.168]) with ESMTPSA (Nemesis) id 0LdLw5-1exj7S1szB-00iPPZ; Fri, 17
 Nov 2017 10:23:55 +0100
Message-ID: <5A0EAAAA.7000402@HIDDEN>
Date: Fri, 17 Nov 2017 10:23:54 +0100
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Geoff Kuenning <geoff@HIDDEN>
Subject: Re: bug#27923: 24.3; -iconic switch screws up geometry
References: <pnio9rx1z3x.fsf@HIDDEN>
 <5995604A.3050605@HIDDEN>	<pniziawo843.fsf@HIDDEN>
 <59980B16.1020307@HIDDEN>	<pni1sl0cscc.fsf@HIDDEN>
 <5A0D54A1.3020307@HIDDEN>	<pni1skxak7c.fsf@HIDDEN>
 <5A0EA33D.2080004@HIDDEN> <pnishdd5lhl.fsf@HIDDEN>
In-Reply-To: <pnishdd5lhl.fsf@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K0:SBm5CaI8RvWn6+1TzWFcK6TmMVM8nFJFqlj2z91RCx37A0IbY0U
 DEl1/o0ogbKMECfAbJmuhpBJU+nm8Jbr9B7dzS+HTVmH1pc2QukfMDknTgyFfEdLTcpCgXa
 dq0FPSoSShjifsyoKkSknTUUFhHEM3xd+udGdu5BesTFrpqmkOk006uIRrE6xl3lmT9Kdig
 WXnfxpYKBINotyRDEts/w==
X-UI-Out-Filterresults: notjunk:1;V01:K0:BuimPN5WUN8=:nIuqLvwHVKbf2pNiQ+F5vq
 KZHBIsoXieIXH2KTWDSiIZPzKlacXkEVaV8RtYaKRCDTcRhfDz9t2Uz9k3zpIpcvB60NkvCz0
 3CCgnnQg7qcZeKaSld/AfI3E6Cwb5Yt7zCK6qYr6Bi9net7AyTm/uSVvtE3G/FRelGL4lS5Pl
 dWiC4RETxqcBGNeNGFjzzdqEOyIxnP7aCALbgPL+kDQV3TsTxcIhDP3qxf+mqxsE0IEbHSkCB
 nRvy0gMUYwnnpNUWbUoHz/XUtcNM6EtjN7yXSaYtv/uXKQoGCKyhXr1GrXakEvhgGuhQwGW5B
 KxommRl+/q9DMEeV51C0r1Eas7US2KroNvYdOo8/s6c6YZopT+lJMmvC1NWg+tIKJvcwozJH2
 kbQ7IfOANsn8Yyj4HR4cQIDHE/UDuGlAzu5G4V1kVeMWNjfGjlyveeW+EIJ//LGKBhZSrs8p1
 Kw+0xV3E0iBnhJC0lmYCYpOPIT5O7KTiwaGybHFVu7itlXAwpGfrK1SJTIRx83WmnqaSEidgF
 nQWmQhqL9Zw0nmFV8wd6ed6Lif+6EQMKOx8IBOTvzvPLvI/m8KZX1+uddieWbb6pSrSuLgFQm
 FMZfow7q7uIYdm6ml33ar/gwDGhj4agk1XA7R8vsSolTjKI8ZKxppm7826Zv7pfKccuMeytI2
 Tq6uuIyMJlhGsxwUFxE7ulh2V5Kn8918PvANEhcfhLGrw/qC4uwrCrG3bkUXD5BOFIiLHi/nY
 Un9dAya+kfl81fvuvZk1HpS5thnXdJEQ0UW3wy0ICuEnZZDQiqbQ9MIIY4v0Wda4CBk+Irt6O
 zsCR7P+Z33Kl9zMCLm8gGbtGVQ8b9YlzeMpZ2FcbYXbyZU0CxHyrVii4ej0EViU1WtcYSUc
X-Spam-Score: -2.0 (--)
X-Debbugs-Envelope-To: 27923
Cc: 27923 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.0 (--)

 > Sorry, bad typing on my part.  35/34 was the height.
 >
 >>> Anyway, I finally got down to the following two lines:
 >>>
 >>> (menu-bar-mode -1)
 >>> (set-default-font (x-get-resource "Font" ""))
 >>
 >>> With both of those present, I get the absurdly narrow frame. If I
 >>> remove the first, then I get a frame that's 38x78.  If I leave the
 >>> first and remove the second, I get a teeny frame that's too small to
 >>> type in, but xwininfo reports it as 1x1 (so suppose emacs thinks it's
 >>> 2x2).  And if I remove both, I get a properly sized frame. (This is
 >>> all with my xrdb restored, BTW.)

So are you getting a weird height, a weird width, independently both or
simultaneously both?

 > It may not happen until the Christmas break, but I'm sure I can manage
 > to get the latest version installed.

This would be currently 26.0.90 which also has a quite extensive set of
functions to measure frame sizes and how they developed when starting
Emacs.

 > It would be wonderful if the bug
 > went away on its own!

Do they ever?

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#27923; Package emacs. Full text available.

Message received at 27923 <at> debbugs.gnu.org:


Received: (at 27923) by debbugs.gnu.org; 17 Nov 2017 08:59:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 17 03:59:39 2017
Received: from localhost ([127.0.0.1]:44187 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1eFcUt-0007TF-0f
	for submit <at> debbugs.gnu.org; Fri, 17 Nov 2017 03:59:39 -0500
Received: from mallet.cs.hmc.edu ([134.173.42.59]:56086)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <geoff@HIDDEN>) id 1eFcUq-0007T5-Ir
 for 27923 <at> debbugs.gnu.org; Fri, 17 Nov 2017 03:59:37 -0500
Received: from bow.cs.hmc.edu (bow-vpn.cs.hmc.edu [10.81.251.5])
 by mallet.cs.hmc.edu (Postfix) with ESMTP id D7496DC15FC;
 Fri, 17 Nov 2017 00:59:34 -0800 (PST)
Received: by bow.cs.hmc.edu (Postfix, from userid 13409)
 id AFE526EA0987; Fri, 17 Nov 2017 00:59:34 -0800 (PST)
From: Geoff Kuenning <geoff@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
Subject: Re: bug#27923: 24.3; -iconic switch screws up geometry
References: <pnio9rx1z3x.fsf@HIDDEN> <5995604A.3050605@HIDDEN>
 <pniziawo843.fsf@HIDDEN> <59980B16.1020307@HIDDEN>
 <pni1sl0cscc.fsf@HIDDEN> <5A0D54A1.3020307@HIDDEN>
 <pni1skxak7c.fsf@HIDDEN> <5A0EA33D.2080004@HIDDEN>
Date: Fri, 17 Nov 2017 00:59:34 -0800
In-Reply-To: <5A0EA33D.2080004@HIDDEN> (martin rudalics's message of "Fri, 17
 Nov 2017 09:52:13 +0100")
Message-ID: <pnishdd5lhl.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; format=flowed
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 27923
Cc: 27923 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

>> But just to make sure we're talking about the same thing, in 
>> all of
>> these cases emacs is coming up with a correct window size after 
>> I
>> deiconify it.
>
> I'm not sure I understand the last sentence.  Correct in the 
> sense that
> the main window displays 80x78 characters?

Yes, that's right.  Whenever I refer to "works right" I mean that 
if I launch with -iconic and then de-iconify, I get a window 
that's the size I expect.

>> Hmmm, though...I just discovered that "emacs -Q --iconic" 
>> produces a
>> different result: it creates an 80x35 frame (79x34 according to
>> xwininfo) even when my xrdb contains both an Emacs.geometry of
>> 80x78+100+0 and a slightly conflicting gnuemacs.geometry of
>> 80x78+1180+0.  (I have no clue why I have both!)  This implies 
>> that
>> there's something in my .emacs that's relevant.
>
> You mean there's something in your .emacs that gets you a 
> different
> height: 80/79 without loading .emacs and 35/34 with loading 
> .emacs?

I didn't identify the source of the problem, but yes.

BTW, that email was a bit of a stream of consciousness: I was 
typing it as I was doing experiments and being interrupted over 
the course of a few hours.

>
>> area.  However, in the process I discovered that there must be 
>> a race,
>> because on a hunch I tried launching twice with no change in my
>> .emacs, and once was OK and once produced the narrow window.
>
> I'm confused now - is the 35/34 above the width or the height of 
> the
> frame?

Sorry, bad typing on my part.  35/34 was the height.

>> Anyway, I finally got down to the following two lines:
>>
>> (menu-bar-mode -1)
>> (set-default-font (x-get-resource "Font" ""))
>
>> With both of those present, I get the absurdly narrow frame. 
>> If I
>> remove the first, then I get a frame that's 38x78.  If I leave 
>> the
>> first and remove the second, I get a teeny frame that's too 
>> small to
>> type in, but xwininfo reports it as 1x1 (so suppose emacs 
>> thinks it's
>> 2x2).  And if I remove both, I get a properly sized frame. 
>> (This is
>> all with my xrdb restored, BTW.)
>
> Sounds weird.  BTW what does evaluating (x-get-resource "Font" 
> "")
> return?

I'll give that a shot tomorrow.

>> But that's not the strangest part.  I cut my .emacs down to 
>> JUST those
>> two lines, and things then worked fine.  More testing 
>> eventually gave me
>> the following .emacs file (this is 100% of the contents):
>>
>> (if nil
>>     (setq load-path (append
>>                      (mapcar
>>                       '(lambda (value)
>>                          (if (and (stringp value)
>>                                   (not (string-match 
>>                                   "^/usr/local/" value))
>>                                   (string-match "^/usr/" 
>>                                   value))
>>                              (replace-match "/usr/local/" t t 
>>                              value)
>>                            value))
>>                        load-path)
>>                      load-path)))
>> (menu-bar-mode -1)
>> (set-default-font (x-get-resource "Font" ""))
>>
>> Obviously, the first bit of code doesn't get executed.  But if 
>> I remove
>> it, launching in iconic mode works!  Having it there makes 
>> stuff break.
>>
>> Note that the .emacs above is 532 bytes.  Is there an ancient 
>> 512-byte
>> buffer somewhere?  I tried replacing the "if nil" part with 512
>> semicolons, but that didn't produce an error.
>
> We occasionally use(d) a 512 byte limit to search for the 
> occurrence of
> something in a file but I see no connection to your case.
>
>> Color me confused...
>
> Maybe the best thing to do at this moment is that you try with a 
> later
> version of Emacs, 25.3 at least.  My GNU/Linux machine crashed a 
> few
> years ago and I still did not restore my older Emacs versions 
> including
> that of Emacs 24.  Also, on Windows the --iconic switch did not 
> even
> work with Emacs 24, so maybe in this area something has changed 
> on
> GNU/Linux as well.  If you upgrade, we could try to synchronize 
> our
> observations better.  Note that on GNU/Linux it's already an 
> enormous
> pain to compare the behavior of the same version of Emacs under 
> two
> different window managers.

It may not happen until the Christmas break, but I'm sure I can 
manage to get the latest version installed.  It would be wonderful 
if the bug went away on its own!
-- 
    Geoff Kuenning   geoff@HIDDEN 
    http://www.cs.hmc.edu/~geoff/

Substitute "damn" every time you're inclined to write "very;" your
editor will delete it and the writing will be just as it should 
be.
	-- Mark Twain




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#27923; Package emacs. Full text available.

Message received at 27923 <at> debbugs.gnu.org:


Received: (at 27923) by debbugs.gnu.org; 17 Nov 2017 08:53:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 17 03:53:21 2017
Received: from localhost ([127.0.0.1]:44183 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1eFcOn-0007Ke-Bc
	for submit <at> debbugs.gnu.org; Fri, 17 Nov 2017 03:53:21 -0500
Received: from mout.gmx.net ([212.227.17.22]:56212)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1eFcOl-0007KR-Le
 for 27923 <at> debbugs.gnu.org; Fri, 17 Nov 2017 03:53:20 -0500
Received: from [192.168.1.100] ([46.125.250.116]) by mail.gmx.com (mrgmx102
 [212.227.17.168]) with ESMTPSA (Nemesis) id 0M6P5z-1f8IHM2Stf-00yMwV; Fri, 17
 Nov 2017 09:53:11 +0100
Message-ID: <5A0EA36C.8040904@HIDDEN>
Date: Fri, 17 Nov 2017 09:53:00 +0100
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Geoff Kuenning <geoff@HIDDEN>
Subject: Re: bug#27923: 24.3; -iconic switch screws up geometry
References: <pnio9rx1z3x.fsf@HIDDEN>
 <5995604A.3050605@HIDDEN>	<pniziawo843.fsf@HIDDEN>
 <59980B16.1020307@HIDDEN>	<pni1sl0cscc.fsf@HIDDEN>
 <5A0D54A1.3020307@HIDDEN>	<pnik1yq37t1.fsf@HIDDEN>
 <5A0D5A5E.4080405@HIDDEN> <pniwp2p95fq.fsf@HIDDEN>
In-Reply-To: <pniwp2p95fq.fsf@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K0:CDT/lYfXofaavGdkXZKTHrZUe5rXrZ0ZB8OUVB9wh0vYh1KD/KK
 G+g2r9y3GDawX49CinN3Y1e84IhKkIgvgvSWYvJLVoZSbSMJNBB+f/PgW8Yb5pj6GKyA+ZA
 BzAYeDzUp+IgtLn/3B2RcDnn0c6eMq4V0ZKHxXRWwaG/efKyeRbA0/S3qQAo3DMfLDmu5Bl
 IUaVCLK5bGVRlxTiFRysg==
X-UI-Out-Filterresults: notjunk:1;V01:K0:xJD5u3FNgOU=:eFQkWSCICpsTrro2OYJnQx
 +Nt8wVGxzOAI9acXWnaUEhYue1tvDSqA47kpVW081ZWOZaJz/BMVn32iSwm+BJzWS5nfWDjsf
 wj1gJypGrMgQGXjgU6M4/x7sPiMbapgGfIKO253Ttby/Wc+U55XOnaWZMa8GK0Dg7VR03P+35
 Uz6gndepEwLr6oCPbsIpyR06RoW/oRFptBtshKDgITQxQShD+MkeiVuonF4Q8cJfIbpIZgLnL
 wlJrCuwQV0fVqsqToUYzyzZ8XHrxjKOL+BXBpn3Rr9G5snLrlnKqPx5+DGxQIZpD2jY4Tqtrg
 HNmJe4/qKT0kkEguKPg5z1wUIEWzn2mT89lmQOAf7Zl0ZCiWvrrJBgAS2pzedbf29JfuUTM2i
 vVU2yBt6imA5JJTIT2HoZSp9j280F9ySJiQCoBOmu+0IG9TJAWAZnOURADQZwpv9H3lm6Dm3P
 x2akRZo2YxhuJT89pk5gEIQJ2d3NJSWRk+8V7KiJEObYcn7ANBjs5/A+KdoJwTdHGXCdghUpO
 7oU9CYedNk3fH9pxSEnwF823X2AvkyIy8Lvz+eSXC80xYN9qTe4wOkRFd7keBDS6Ib5Lu6nrQ
 0hst3jv7jg3daOoVQs4Kry2pRU6bn530yET0dOTQU9f8gW4CikKkbY3DEYZnXE30vIWN9dIwV
 AotZyINBEa5VabmsS9Lhmd2q/pvJ56UV5EWp/v+kyvf75VCu707H8C6qN2lDfgPtoKuinestq
 b3m3MFCShvPh9uf8oHv7cXhWD/BFFT50obpg+SUVScRLXLC0tPM+pdWUpzF9w7WzoPRfQyI2a
 5kIzlZfBtVMx0To8Vkujk1C+19VinXsg2Lamv/DgyFx85WaDqh0q/sI5mFEwY6a7XHP98rpHf
 ttaTWlH+5fQUtdFQk6Sg==
X-Spam-Score: 0.8 (/)
X-Debbugs-Envelope-To: 27923
Cc: 27923 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.8 (/)

 > One other thing: I just checked the actual width of my frame by typing
 > 80 characters, and it's 80 characters even though xwininfo is
 > reporting 79.  So I think this is either an actual xwininfo bug, or a
 > minor interaction between emacs and X that causes the character size
 > of a pixel window to be seen slightly incorrectly.

The inherent idea here is that when Emacs comes up with a one-window
frame that does not contain a minibuffer window, the sizes specified by
'frame-width' and 'frame-height' match the maximum number of characters
on one line and the maximum number of lines that can be displayed
in that frame's window.  For each and every build of Emacs on every
platform and regardless of which other GUI elements are present.

So, for example, when you add/remove scrollbars or change the default
font of a frame, Emacs usually asks the window manager to change the
size of the (window manager) window to keep the number of lines/columns
of the frame constant.

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#27923; Package emacs. Full text available.

Message received at 27923 <at> debbugs.gnu.org:


Received: (at 27923) by debbugs.gnu.org; 17 Nov 2017 08:52:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 17 03:52:28 2017
Received: from localhost ([127.0.0.1]:44179 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1eFcNv-0007J9-Ve
	for submit <at> debbugs.gnu.org; Fri, 17 Nov 2017 03:52:28 -0500
Received: from mout.gmx.net ([212.227.17.22]:57966)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1eFcNt-0007It-IJ
 for 27923 <at> debbugs.gnu.org; Fri, 17 Nov 2017 03:52:26 -0500
Received: from [192.168.1.100] ([46.125.250.116]) by mail.gmx.com (mrgmx102
 [212.227.17.168]) with ESMTPSA (Nemesis) id 0MdEsh-1eX0Xc3DsJ-00IRRW; Fri, 17
 Nov 2017 09:52:15 +0100
Message-ID: <5A0EA33D.2080004@HIDDEN>
Date: Fri, 17 Nov 2017 09:52:13 +0100
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Geoff Kuenning <geoff@HIDDEN>
Subject: Re: bug#27923: 24.3; -iconic switch screws up geometry
References: <pnio9rx1z3x.fsf@HIDDEN>
 <5995604A.3050605@HIDDEN>	<pniziawo843.fsf@HIDDEN>
 <59980B16.1020307@HIDDEN>	<pni1sl0cscc.fsf@HIDDEN>
 <5A0D54A1.3020307@HIDDEN> <pni1skxak7c.fsf@HIDDEN>
In-Reply-To: <pni1skxak7c.fsf@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K0:pP8pM2IZmQD0oxQjz3/H9/nkeUY+dvOYI1tORtMvEqO5UqKEbXS
 6UI1BTfagnZ7kZ5+jIF4w7saT3a3zgt1MvwMwS4k3dQ/xDJSJG4btCCXDWUdVlp+SlKkuJI
 a7RCzuDdIgn8I0AoSZkCfAe/HSyiES9X0bcXnyeKNsWwpKBlxjzoytlse2DaXuWmsuc+tOA
 mb8nb3wKmaCLSrOWfToTQ==
X-UI-Out-Filterresults: notjunk:1;V01:K0:3L2sAgrkHgU=:+NRzyOvoYkLwUX5BSgAKpt
 7UMC7uWg5iHOpmUnQSf06Hl/ceuqFxx/2QbTmMglzAbGCryG0OFsH8SaTiEcrFReUzAKib9+g
 SDsxLVFtzPiOmZxiR6YqzWw3FT222exD9KW6NLNAIpOVYl8GUUYm0yrZyO9Zl2rUqN79Tr5bH
 HLE6hzZRt6drZ9Gnu+lFxlpns3qhKhDfkgKdQC/CwpMyxugxe6KpDTMLCwYFAVXmusccgUcel
 HK7QDuFcsRXFoGZUu9R/6nb9G/b5wzjME2TMrwjhjK0AzcZtWJ3WiyrHIOnlZGglFHeBLxgvk
 fWcdrooYoGqXc6J0MRF7SWP37zh6DOV1UrDQGwjwfriTQ/dM3914FVaE6c+8nE7rJeIQeukFH
 np67WTmFRqyiRU4fPWTg/9UX6sdNHaVQ4elmrkwX3vaUWS8U7b5tEYsVj+ViZXkjmbqI9WPqz
 V2As8Oq3HixLSLg3YKH5iLRMlAnUYCRlmHthh5vE6yvkJbgRf2AW8kgG9hrz3cdI9VliN1aDx
 +ml0JY7aX7q4E9AVh6NjDhi6UgrTLboFrqQz2P6XOyiYNbfGrpX8f87PBCXLgvcPfqf02Wjxg
 88RermVcuwhG6+w4tGFUVUGBPwlfBEKMquerDgyPk5KVyp5rs1OzVEy2JzbU7OaHWZE0ro9n0
 8kWGjP2mOdpBPVlqJnqFtydHbA/nyEmrGQcm80M/9VaGuCSIF2MGJ3fhvitj2E+D6Ftf5ACis
 i2lN9+JsIOazvb+TjZfORsLCzVADvO+LvuVtGss6HU0bfqbUlHZMiDS6Uaalk9DdtSocXbty6
 jWRXuSMKGHaigkfYob9IEsSYWPCEBo4olY6WsqnzKj3F2PvKcEZcMPOu2BeXWMADTl8KlAk
X-Spam-Score: 0.8 (/)
X-Debbugs-Envelope-To: 27923
Cc: 27923 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.8 (/)

 > (frame-width) and (frame-height) give 80 and 78, respectively. And I
 > double-checked that xwininfo indeed says 79x77+100+0.  (This is when
 > starting with -Q, --iconic, --geometry, --font, and my default
 > resources.)

With Emacs you traditionally set (via 'set-frame-height' and
'set-frame-width') and retrieve (via 'frame-height' and 'frame-width')
the size of a somehwat fictitious area which includes one scroll bar and
fringes sometimes a toolbar and a menubar.  With GTK builds, tool- and
menubar are usually not counted so I don't understand the 78/77
difference in your case but the 80/79 difference should be explainable
by the presence of a scrollbar.  All values are rounded to the frame's
default character size.

Usually, comparing xwininfo output with what Emacs tells you is
confusing at least.

 > If I grep all emacs-related resources from my xrdb file and reload it,
 > starting with the same command gives the same inconsistency between
 > frame-width/height and xwininfo.  Perhaps the width issue is because
 > one character space is allocated to the scrollbar?

I think so too.

 > But just to make sure we're talking about the same thing, in all of
 > these cases emacs is coming up with a correct window size after I
 > deiconify it.

I'm not sure I understand the last sentence.  Correct in the sense that
the main window displays 80x78 characters?

 > Hmmm, though...I just discovered that "emacs -Q --iconic" produces a
 > different result: it creates an 80x35 frame (79x34 according to
 > xwininfo) even when my xrdb contains both an Emacs.geometry of
 > 80x78+100+0 and a slightly conflicting gnuemacs.geometry of
 > 80x78+1180+0.  (I have no clue why I have both!)  This implies that
 > there's something in my .emacs that's relevant.

You mean there's something in your .emacs that gets you a different
height: 80/79 without loading .emacs and 35/34 with loading .emacs?

 > I did some binary searching and narrowed it down to a relatively small
 > area.  However, in the process I discovered that there must be a race,
 > because on a hunch I tried launching twice with no change in my
 > .emacs, and once was OK and once produced the narrow window.

I'm confused now - is the 35/34 above the width or the height of the
frame?

 > Anyway, I finally got down to the following two lines:
 >
 > (menu-bar-mode -1)
 > (set-default-font (x-get-resource "Font" ""))

 > With both of those present, I get the absurdly narrow frame.  If I
 > remove the first, then I get a frame that's 38x78.  If I leave the
 > first and remove the second, I get a teeny frame that's too small to
 > type in, but xwininfo reports it as 1x1 (so suppose emacs thinks it's
 > 2x2).  And if I remove both, I get a properly sized frame.  (This is
 > all with my xrdb restored, BTW.)

Sounds weird.  BTW what does evaluating (x-get-resource "Font" "")
return?

 > But that's not the strangest part.  I cut my .emacs down to JUST those
 > two lines, and things then worked fine.  More testing eventually gave me
 > the following .emacs file (this is 100% of the contents):
 >
 > (if nil
 >     (setq load-path (append
 >                      (mapcar
 >                       '(lambda (value)
 >                          (if (and (stringp value)
 >                                   (not (string-match                                  "^/usr/local/" value))
 >                                   (string-match "^/usr/" value))
 >                              (replace-match "/usr/local/" t t                             value)
 >                            value))
 >                        load-path)
 >                      load-path)))
 > (menu-bar-mode -1)
 > (set-default-font (x-get-resource "Font" ""))
 >
 > Obviously, the first bit of code doesn't get executed.  But if I remove
 > it, launching in iconic mode works!  Having it there makes stuff break.
 >
 > Note that the .emacs above is 532 bytes.  Is there an ancient 512-byte
 > buffer somewhere?  I tried replacing the "if nil" part with 512
 > semicolons, but that didn't produce an error.

We occasionally use(d) a 512 byte limit to search for the occurrence of
something in a file but I see no connection to your case.

 > Color me confused...

Maybe the best thing to do at this moment is that you try with a later
version of Emacs, 25.3 at least.  My GNU/Linux machine crashed a few
years ago and I still did not restore my older Emacs versions including
that of Emacs 24.  Also, on Windows the --iconic switch did not even
work with Emacs 24, so maybe in this area something has changed on
GNU/Linux as well.  If you upgrade, we could try to synchronize our
observations better.  Note that on GNU/Linux it's already an enormous
pain to compare the behavior of the same version of Emacs under two
different window managers.

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#27923; Package emacs. Full text available.

Message received at 27923 <at> debbugs.gnu.org:


Received: (at 27923) by debbugs.gnu.org; 16 Nov 2017 23:20:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Nov 16 18:20:28 2017
Received: from localhost ([127.0.0.1]:44011 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1eFTSO-0000NG-EM
	for submit <at> debbugs.gnu.org; Thu, 16 Nov 2017 18:20:28 -0500
Received: from mallet.cs.hmc.edu ([134.173.42.59]:49104)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <geoff@HIDDEN>) id 1eFTSM-0000N8-8q
 for 27923 <at> debbugs.gnu.org; Thu, 16 Nov 2017 18:20:26 -0500
Received: from bow.cs.hmc.edu (bow-vpn.cs.hmc.edu [10.81.251.5])
 by mallet.cs.hmc.edu (Postfix) with ESMTP id B1D9BDC15FC;
 Thu, 16 Nov 2017 15:20:25 -0800 (PST)
Received: by bow.cs.hmc.edu (Postfix, from userid 13409)
 id 91BBB6EA0987; Thu, 16 Nov 2017 15:20:25 -0800 (PST)
From: Geoff Kuenning <geoff@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
Subject: Re: bug#27923: 24.3; -iconic switch screws up geometry
References: <pnio9rx1z3x.fsf@HIDDEN> <5995604A.3050605@HIDDEN>
 <pniziawo843.fsf@HIDDEN> <59980B16.1020307@HIDDEN>
 <pni1sl0cscc.fsf@HIDDEN> <5A0D54A1.3020307@HIDDEN>
 <pnik1yq37t1.fsf@HIDDEN> <5A0D5A5E.4080405@HIDDEN>
Date: Thu, 16 Nov 2017 15:20:25 -0800
In-Reply-To: <5A0D5A5E.4080405@HIDDEN> (martin rudalics's message of "Thu, 16
 Nov 2017 10:29:02 +0100")
Message-ID: <pniwp2p95fq.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; format=flowed
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 27923
Cc: 27923 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

One other thing: I just checked the actual width of my frame by 
typing 80 characters, and it's 80 characters even though xwininfo 
is reporting 79.  So I think this is either an actual xwininfo 
bug, or a minor interaction between emacs and X that causes the 
character size of a pixel window to be seen slightly incorrectly.

>>> Do you mean that both sizes are off by one - 80/79 and 78/77 ? 
>>> What do
>>
>> Yes, the size should be 80x78 and instead comes up as 
>> 79x77. Weird, huh?
>
> There might be some snafu with how to count in toolbar, menubar 
> and
> scrollbar.
>
>>> M-: (frame-width) RET
>>>
>>> and
>>>
>>> M-: (frame-height)
>>
>> I'll try to remember to try those tomorrow.
>
> Please do that.  It will tell us what Emacs thinks about the 
> "realized"
> size.
>
> martin
>

-- 
    Geoff Kuenning   geoff@HIDDEN 
    http://www.cs.hmc.edu/~geoff/

The P in "PDF" is a lie.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#27923; Package emacs. Full text available.

Message received at 27923 <at> debbugs.gnu.org:


Received: (at 27923) by debbugs.gnu.org; 16 Nov 2017 23:16:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Nov 16 18:16:11 2017
Received: from localhost ([127.0.0.1]:44005 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1eFTOE-0000HB-PW
	for submit <at> debbugs.gnu.org; Thu, 16 Nov 2017 18:16:11 -0500
Received: from mallet.cs.hmc.edu ([134.173.42.59]:49028)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <geoff@HIDDEN>) id 1eFTOC-0000Gz-MG
 for 27923 <at> debbugs.gnu.org; Thu, 16 Nov 2017 18:16:09 -0500
Received: from bow.cs.hmc.edu (bow-vpn.cs.hmc.edu [10.81.251.5])
 by mallet.cs.hmc.edu (Postfix) with ESMTP id 419C5DC15FC;
 Thu, 16 Nov 2017 15:16:07 -0800 (PST)
Received: by bow.cs.hmc.edu (Postfix, from userid 13409)
 id 2FD6D6EA0987; Thu, 16 Nov 2017 15:16:07 -0800 (PST)
From: Geoff Kuenning <geoff@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
Subject: Re: bug#27923: 24.3; -iconic switch screws up geometry
References: <pnio9rx1z3x.fsf@HIDDEN> <5995604A.3050605@HIDDEN>
 <pniziawo843.fsf@HIDDEN> <59980B16.1020307@HIDDEN>
 <pni1sl0cscc.fsf@HIDDEN> <5A0D54A1.3020307@HIDDEN>
Date: Thu, 16 Nov 2017 15:16:07 -0800
Message-ID: <pni1skxak7c.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; format=flowed
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 27923
Cc: 27923 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

(frame-width) and (frame-height) give 80 and 78, respectively. 
And I double-checked that xwininfo indeed says 79x77+100+0.  (This 
is when starting with -Q, --iconic, --geometry, --font, and my 
default resources.)

If I grep all emacs-related resources from my xrdb file and reload 
it, starting with the same command gives the same inconsistency 
between frame-width/height and xwininfo.  Perhaps the width issue 
is because one character space is allocated to the scrollbar?

I also tried removing both emacs-related and font-related 
resources from the RDB, again getting the width/height 
inconsistency.

But just to make sure we're talking about the same thing, in all 
of these cases emacs is coming up with a correct window size after 
I deiconify it.

Hmmm, though...I just discovered that "emacs -Q --iconic" produces 
a different result: it creates an 80x35 frame (79x34 according to 
xwininfo) even when my xrdb contains both an Emacs.geometry of 
80x78+100+0 and a slightly conflicting gnuemacs.geometry of 
80x78+1180+0.  (I have no clue why I have both!)  This implies 
that there's something in my .emacs that's relevant.

I did some binary searching and narrowed it down to a relatively 
small area.  However, in the process I discovered that there must 
be a race, because on a hunch I tried launching twice with no 
change in my .emacs, and once was OK and once produced the narrow 
window.

Anyway, I finally got down to the following two lines:

(menu-bar-mode -1)
(set-default-font (x-get-resource "Font" ""))

With both of those present, I get the absurdly narrow frame.  If I 
remove the first, then I get a frame that's 38x78.  If I leave the 
first and remove the second, I get a teeny frame that's too small 
to type in, but xwininfo reports it as 1x1 (so suppose emacs 
thinks it's 2x2).  And if I remove both, I get a properly sized 
frame.  (This is all with my xrdb restored, BTW.)

But that's not the strangest part.  I cut my .emacs down to JUST 
those
two lines, and things then worked fine.  More testing eventually 
gave me
the following .emacs file (this is 100% of the contents):

(if nil
    (setq load-path (append
                     (mapcar
                      '(lambda (value)
                         (if (and (stringp value)
                                  (not (string-match 
                                  "^/usr/local/" value))
                                  (string-match "^/usr/" value))
                             (replace-match "/usr/local/" t t 
                             value)
                           value))
                       load-path)
                     load-path)))
(menu-bar-mode -1)
(set-default-font (x-get-resource "Font" ""))

Obviously, the first bit of code doesn't get executed.  But if I 
remove
it, launching in iconic mode works!  Having it there makes stuff 
break.

Note that the .emacs above is 532 bytes.  Is there an ancient 
512-byte
buffer somewhere?  I tried replacing the "if nil" part with 512
semicolons, but that didn't produce an error.

Color me confused...


>> FWIW, when I was doing the tests below there was a brief flash 
>> on my
>> screen each time I launched emacs, implying that the window is 
>> first
>> mapped and then unmapped.  I don't know of that's related to 
>> the
>> problem.
>
> Do the flashes occur only when you load init.el or also when 
> using the
> --iconic --geometry 80x78+1180+0 switches only?
>
>>> emacs -Q --iconic --geometry 80x78+1180+0 --font
>>> "-misc-fixed-bold-r-normal-*-15-*-100-100-*-*-ISO8859-1"
>>
>> This works correctly, but the geometry reported by xwininfo is
>> 79x77+100+0 (which is related to my Emacs.geometry Xrdb setting
>> rather than my gnuemacs.geometry).
>
> Do you mean that both sizes are off by one - 80/79 and 78/77 ? 
> What do
>
> M-: (frame-width) RET
>
> and
>
> M-: (frame-height)
>
> in such a frame give?  Did you remove/comment out the resource 
> settings?
> IIRC Emacs combines everything it finds and applies the last 
> settings it
> read.
>
>>> emacs -Q --iconic --load ~/init.el
>>
>> works entirely correctly with the first init.el (including 
>> correct X
>> placement).
>>
>>> emacs -Q --load ~/init.el
>>
>> works entirely correctly with the second init.el.
>
> So apart from the flashes these would be OK?
>
>>> Also, please tell me what
>>> your original scenario gives with the line specifying the font 
>>> setting
>>> removed from the resource file.
>>
>> That one still fails.
>
> "still" in the sense that you get the same bad width?  Does 
> removing the
> font setting change _anything_ in the appearance of the frame?
>
> Thanks, martin
>

-- 
    Geoff Kuenning   geoff@HIDDEN 
    http://www.cs.hmc.edu/~geoff/

A programmer who can't write readable prose is as incompetent as 
one
who can't produce working code.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#27923; Package emacs. Full text available.

Message received at 27923 <at> debbugs.gnu.org:


Received: (at 27923) by debbugs.gnu.org; 16 Nov 2017 09:29:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Nov 16 04:29:23 2017
Received: from localhost ([127.0.0.1]:42572 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1eFGU7-0008EH-Dl
	for submit <at> debbugs.gnu.org; Thu, 16 Nov 2017 04:29:23 -0500
Received: from mout.gmx.net ([212.227.15.15]:63885)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1eFGU5-0008E4-DR
 for 27923 <at> debbugs.gnu.org; Thu, 16 Nov 2017 04:29:21 -0500
Received: from [192.168.1.100] ([46.125.250.87]) by mail.gmx.com (mrgmx003
 [212.227.17.190]) with ESMTPSA (Nemesis) id 0M7HGA-1f9xuR1MhS-00x69y; Thu, 16
 Nov 2017 10:29:13 +0100
Message-ID: <5A0D5A5E.4080405@HIDDEN>
Date: Thu, 16 Nov 2017 10:29:02 +0100
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Geoff Kuenning <geoff@HIDDEN>
Subject: Re: bug#27923: 24.3; -iconic switch screws up geometry
References: <pnio9rx1z3x.fsf@HIDDEN>
 <5995604A.3050605@HIDDEN>	<pniziawo843.fsf@HIDDEN>
 <59980B16.1020307@HIDDEN>	<pni1sl0cscc.fsf@HIDDEN>
 <5A0D54A1.3020307@HIDDEN> <pnik1yq37t1.fsf@HIDDEN>
In-Reply-To: <pnik1yq37t1.fsf@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K0:v7YZ58/nmoWPwS2GRRxd70l5g0AdDuYQB5acUjxsMEOZuVU1VBX
 rKyRaJ9wG72F1IKGD2P07YJO8y5lE2NxVGCuPNXBcwbAgfgjVqQFKa3189UI1y3Qcu5uwmb
 O7yWQCRC8xd8SravQrNh5AeVR+n2Pxr58pVcw4kRBIDOdAE3P7c08rr4bGF6F/IhU7P021a
 d9d4bjVehTg0f3Or6k0Sw==
X-UI-Out-Filterresults: notjunk:1;V01:K0:sH5J50Z5P9M=:XVjbGRq52y2kGAzdhyxaZE
 59knHbCPPkBtOJrDEXdpa7y84kt0meQHUN7LToSCWUxoifHWhq8k16xGfGcyJbNhoLYDXD5O8
 QHw+JzoWweKZ1vBi02QcxxVqT9se1YbU2O+LMDZU4JPP0KEcKs/MApHn8LxA9tV3Y67eGDd2h
 7ay5jK/4UkGzPyLgWxsDinCil8cs9NgPKjGm1cruletBCUULXyFV2RHYop9Fs4UrTAu5WthNv
 ddCTHLnQbYck2VWuq98QcC6SeROwmOyBrmlUs9ns5TaPDe+k8ZiOt96gTbQ3Y4horm0N2aU45
 JPJCItyBMuoBvZ4hBYN77iUY19pz/TojIoU8+/DTu8EaBKBAEd6G2sioIPxuQD+3eagmekTm5
 31b45rBIJRvVaWikkeehzGsr8S7yVoTBanFtg/uvWcXZnjIS63UC1kd2RaPjT1h1EZwc3xCA+
 s3OOddmvtTM0cfXyrZgp26UZxg0lwuCesbPjcZ0E7ebYSSGB9vXFuQOIbRq0DRzxjOJKQo48s
 HJvrw5cZ0vs3vNpBPsl3SvIoQpR3Zo1qXnRUnAgJPe3vctbuMdAixI8lGvdu1x4L+o/z9Uvmd
 acKAOn8OmYciQQvEzIlm1WzejIvtEfgSXrte5wH7L4zjA4Zg6+7S71ar65LwJ4ARQU7/XbonT
 zoMTNxk1LBWyDpnVBY1jDRK/SocffZsRXo3pH8Su0lOdu3MXXXqSASNp0weJVqgXnkJ+YwG8r
 ATJk6yFLoOTz1fUW3W9+uj2nOc4XQVXk2g19yR9plhUY+keU/7qEKsdGy/SER3pc8fxeHzVH6
 p8a+iMNivG3A+Nd72J1ALxuQRBGj06r6UhbO3Z1Ubfz4gypXDN+dXQLFwxrr3QqY6GW4pcq
X-Spam-Score: -3.5 (---)
X-Debbugs-Envelope-To: 27923
Cc: 27923 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.5 (---)

 >> Do you mean that both sizes are off by one - 80/79 and 78/77 ? What do
 >
 > Yes, the size should be 80x78 and instead comes up as 79x77. Weird, huh?

There might be some snafu with how to count in toolbar, menubar and
scrollbar.

 >> M-: (frame-width) RET
 >>
 >> and
 >>
 >> M-: (frame-height)
 >
 > I'll try to remember to try those tomorrow.

Please do that.  It will tell us what Emacs thinks about the "realized"
size.

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#27923; Package emacs. Full text available.

Message received at 27923 <at> debbugs.gnu.org:


Received: (at 27923) by debbugs.gnu.org; 16 Nov 2017 09:13:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Nov 16 04:13:33 2017
Received: from localhost ([127.0.0.1]:42548 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1eFGEn-0007mw-Bu
	for submit <at> debbugs.gnu.org; Thu, 16 Nov 2017 04:13:33 -0500
Received: from mallet.cs.hmc.edu ([134.173.42.59]:38200)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <geoff@HIDDEN>) id 1eFGEl-0007mj-Rl
 for 27923 <at> debbugs.gnu.org; Thu, 16 Nov 2017 04:13:32 -0500
Received: from bow.cs.hmc.edu (bow-vpn.cs.hmc.edu [10.81.251.5])
 by mallet.cs.hmc.edu (Postfix) with ESMTP id 88852DC065D;
 Thu, 16 Nov 2017 01:13:30 -0800 (PST)
Received: by bow.cs.hmc.edu (Postfix, from userid 13409)
 id 5AA9E6EA07D5; Thu, 16 Nov 2017 01:13:30 -0800 (PST)
From: Geoff Kuenning <geoff@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
Subject: Re: bug#27923: 24.3; -iconic switch screws up geometry
References: <pnio9rx1z3x.fsf@HIDDEN> <5995604A.3050605@HIDDEN>
 <pniziawo843.fsf@HIDDEN> <59980B16.1020307@HIDDEN>
 <pni1sl0cscc.fsf@HIDDEN> <5A0D54A1.3020307@HIDDEN>
Date: Thu, 16 Nov 2017 01:13:30 -0800
In-Reply-To: <5A0D54A1.3020307@HIDDEN> (martin rudalics's message of "Thu, 16
 Nov 2017 10:04:33 +0100")
Message-ID: <pnik1yq37t1.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; format=flowed
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 27923
Cc: 27923 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

Caveat: the testing has all been on my desktop at work, so I can't 
run new tests at this instant and am working from memory.

> Do the flashes occur only when you load init.el or also when 
> using the
> --iconic --geometry 80x78+1180+0 switches only?

My memory is that they happen at all times when using --iconic.

>>> emacs -Q --iconic --geometry 80x78+1180+0 --font
>>> "-misc-fixed-bold-r-normal-*-15-*-100-100-*-*-ISO8859-1"
>>
>> This works correctly, but the geometry reported by xwininfo is
>> 79x77+100+0 (which is related to my Emacs.geometry Xrdb setting
>> rather than my gnuemacs.geometry).
>
> Do you mean that both sizes are off by one - 80/79 and 78/77 ? 
> What do

Yes, the size should be 80x78 and instead comes up as 79x77. 
Weird, huh?

> M-: (frame-width) RET
>
> and
>
> M-: (frame-height)

I'll try to remember to try those tomorrow.

> in such a frame give?  Did you remove/comment out the resource 
> settings?
> IIRC Emacs combines everything it finds and applies the last 
> settings it
> read.

When running without -Q, I used grep to remove resource settings 
from my master parameter file and reloaded that into X11 with 
xrdb.

>>> emacs -Q --iconic --load ~/init.el
>>
>> works entirely correctly with the first init.el (including 
>> correct X
>> placement).
>>
>>> emacs -Q --load ~/init.el
>>
>> works entirely correctly with the second init.el.
>
> So apart from the flashes these would be OK?

Yes.  And I never would have noticed the flashes if I hadn't been 
testing; they're under 1/10 second and happen when I'm logging in 
every morning.

>>> Also, please tell me what
>>> your original scenario gives with the line specifying the font 
>>> setting
>>> removed from the resource file.
>>
>> That one still fails.
>
> "still" in the sense that you get the same bad width?  Does 
> removing the
> font setting change _anything_ in the appearance of the frame?

Yes, the same bad width.  I'll check carefully tomorrow to see 
whether there is any frame change.
-- 
    Geoff Kuenning   geoff@HIDDEN 
    http://www.cs.hmc.edu/~geoff/

Statistics don't bore people, people bore people.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#27923; Package emacs. Full text available.

Message received at 27923 <at> debbugs.gnu.org:


Received: (at 27923) by debbugs.gnu.org; 16 Nov 2017 09:04:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Nov 16 04:04:55 2017
Received: from localhost ([127.0.0.1]:42537 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1eFG6R-0007Z7-2g
	for submit <at> debbugs.gnu.org; Thu, 16 Nov 2017 04:04:55 -0500
Received: from mout.gmx.net ([212.227.15.15]:57144)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1eFG6P-0007Yr-1Y
 for 27923 <at> debbugs.gnu.org; Thu, 16 Nov 2017 04:04:53 -0500
Received: from [192.168.1.100] ([46.125.250.87]) by mail.gmx.com (mrgmx001
 [212.227.17.190]) with ESMTPSA (Nemesis) id 0M9sa0-1eLtvX3uci-00B4Rh; Thu, 16
 Nov 2017 10:04:44 +0100
Message-ID: <5A0D54A1.3020307@HIDDEN>
Date: Thu, 16 Nov 2017 10:04:33 +0100
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Geoff Kuenning <geoff@HIDDEN>
Subject: Re: bug#27923: 24.3; -iconic switch screws up geometry
References: <pnio9rx1z3x.fsf@HIDDEN>
 <5995604A.3050605@HIDDEN>	<pniziawo843.fsf@HIDDEN>
 <59980B16.1020307@HIDDEN> <pni1sl0cscc.fsf@HIDDEN>
In-Reply-To: <pni1sl0cscc.fsf@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K0:2NRKSTbtuhTZHO2JQYNRZXSdnozGbONZgeVd0fZ9zKvfvcuaLAX
 HxkQTIHk7SG4t8t+H2KD8L9uthR7ve9HIcKPFAAk0cepAI3BXE2vEyQGUuG+MRB9Us+jNeO
 InFPsZh4acF12MiL6S4eK5noXuZSlQc2K0gEa1CVYpDY7++J8cfoEFR+CJxNKTpBTLdJLyP
 8bLgICw9U5yoDAAmmVkdA==
X-UI-Out-Filterresults: notjunk:1;V01:K0:AJxAAN4c+24=:iwXA2HOCXnFMLZggDNstJ0
 1f/MzF+i3qTvMpwEGjOG98CipfjupzZCO2Af8tE/pv00fhwdaE29kBtcepvhdW6ovKAxNM6C1
 Shi09VhTIW9/HrjHqjhFEw+uKLoq7aW9EZTdfGbmJhQrM3/26DLYHz6+Mua5CC6lAcVEZv4a/
 5Z4B4c8rQXK/3R8kbOF0hCNTYy65KZ+mPF090vc1Hd4rZy+Avoz5V1+IWYDhAB5Zs1ftGD01j
 TFvPOywnrsux2m548blJ46NMO0JjsiC2jL/BdUl7vk0MySQAViUtIv4INVxIlsSxuRGFcZpoG
 gykXV1f9RPDP1YBatqyzuXaCvu6Du9a7Q6XBNT3BD94cwQvghFJq0nW2+VkFgoP+wD6rbk0vd
 /8M/gWyI1n0qlPPslDD1Wz7g3aF/8GHFEdipvlXgLCYHUGnkTXLOi70M9JLViI8A0mr5ja1RM
 9gjPwhRtVj/xQaOm6EwtxJEZpEN5rqAOzIe/hcfgNPDPDQ0VwXCRHgAYVVbZyQiF24pGtHv15
 IzjQsS9cH7FPDXF/5pgkqp6NKVmK6wfD3PD6bmvT9N42aSfdBwQMV1S+20mKqD1abDRZKJFZ1
 dTMe2zi0rQB97yHMN6IyLATEy47/v7jXlQv/C46PMx3HJrKhSLwpc4X10C/rajYNFf3vY1CtX
 POnWXkM/HcYIz3h9Kf6vb4eYC3fubIEkWlnPcIYWtAjfeu4knCxCXeOuwzooEthKIzUWb60ir
 y3fjNsc+MpHujzqZyK1qgDtZzPjfQRHpKeNZ726rU735OyfiEJ0iXI5lopwqdrNl8IT+XgnDP
 hh5Hu+qPQVwkdSGYQXszlaFwXXtwVVkSwKE2SflBUkAxTe2S/5FDEaXk35lzkPlh3PDxHIK
X-Spam-Score: -3.5 (---)
X-Debbugs-Envelope-To: 27923
Cc: 27923 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.5 (---)

 > FWIW, when I was doing the tests below there was a brief flash on my
 > screen each time I launched emacs, implying that the window is first
 > mapped and then unmapped.  I don't know of that's related to the
 > problem.

Do the flashes occur only when you load init.el or also when using the
--iconic --geometry 80x78+1180+0 switches only?

 >> emacs -Q --iconic --geometry 80x78+1180+0 --font "-misc-fixed-bold-r-normal-*-15-*-100-100-*-*-ISO8859-1"
 >
 > This works correctly, but the geometry reported by xwininfo is 79x77+100+0 (which is related to my Emacs.geometry Xrdb setting rather than my gnuemacs.geometry).

Do you mean that both sizes are off by one - 80/79 and 78/77 ?  What do

M-: (frame-width) RET

and

M-: (frame-height)

in such a frame give?  Did you remove/comment out the resource settings?
IIRC Emacs combines everything it finds and applies the last settings it
read.

 >> emacs -Q --iconic --load ~/init.el
 >
 > works entirely correctly with the first init.el (including correct X placement).
 >
 >> emacs -Q --load ~/init.el
 >
 > works entirely correctly with the second init.el.

So apart from the flashes these would be OK?

 >> Also, please tell me what
 >> your original scenario gives with the line specifying the font setting
 >> removed from the resource file.
 >
 > That one still fails.

"still" in the sense that you get the same bad width?  Does removing the
font setting change _anything_ in the appearance of the frame?

Thanks, martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#27923; Package emacs. Full text available.

Message received at 27923 <at> debbugs.gnu.org:


Received: (at 27923) by debbugs.gnu.org; 15 Nov 2017 00:12:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 14 19:12:55 2017
Received: from localhost ([127.0.0.1]:40778 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1eElK3-00017N-8V
	for submit <at> debbugs.gnu.org; Tue, 14 Nov 2017 19:12:55 -0500
Received: from mallet.cs.hmc.edu ([134.173.42.59]:40774)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <geoff@HIDDEN>) id 1eElK0-00017E-PI
 for 27923 <at> debbugs.gnu.org; Tue, 14 Nov 2017 19:12:53 -0500
Received: from bow.cs.hmc.edu (bow-vpn.cs.hmc.edu [10.81.251.5])
 by mallet.cs.hmc.edu (Postfix) with ESMTP id 7A16ADC0676;
 Tue, 14 Nov 2017 16:12:51 -0800 (PST)
Received: by bow.cs.hmc.edu (Postfix, from userid 13409)
 id 6797F6EA09C8; Tue, 14 Nov 2017 16:12:51 -0800 (PST)
From: Geoff Kuenning <geoff@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
Subject: Re: bug#27923: 24.3; -iconic switch screws up geometry
References: <pnio9rx1z3x.fsf@HIDDEN> <5995604A.3050605@HIDDEN>
 <pniziawo843.fsf@HIDDEN> <59980B16.1020307@HIDDEN>
Date: Tue, 14 Nov 2017 16:12:51 -0800
In-Reply-To: <59980B16.1020307@HIDDEN> (martin rudalics's message of "Sat, 19
 Aug 2017 11:55:34 +0200")
Message-ID: <pni1sl0cscc.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; format=flowed
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 27923
Cc: 27923 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

Hi, Martin,

I apologize profusely for my unacceptably long delay in answering 
your questions; your message slipped by me and I only found it 
when I was cleaning up old emails.

FWIW, when I was doing the tests below there was a brief flash on 
my screen each time I launched emacs, implying that the window is 
first mapped and then unmapped.  I don't know of that's related to 
the problem.

> emacs -Q --iconic --geometry 80x78+1180+0 --font 
> "-misc-fixed-bold-r-normal-*-15-*-100-100-*-*-ISO8859-1"

This works correctly, but the geometry reported by xwininfo is 
79x77+100+0 (which is related to my Emacs.geometry Xrdb setting 
rather than my gnuemacs.geometry).

> emacs -Q --iconic --load ~/init.el

works entirely correctly with the first init.el (including correct 
X placement).

> emacs -Q --load ~/init.el

works entirely correctly with the second init.el.

> Also, please tell me what
> your original scenario gives with the line specifying the font 
> setting
> removed from the resource file.

That one still fails.

>> My display is 3840x1200.  I'm pretty sure that's wider than 
>> 1900. ;-)
>
> That's bad because it means we are in the area of one of the 
> most
> elusive bugs I've seen over the past years.  Your scenario has 
> been
> already reported (with .emacs instead of using a resource file) 
> as
>
> https://debbugs.gnu.org/cgi/bugreport.cgi?bug=24526
>
> and probably also here
>
> https://debbugs.gnu.org/cgi/bugreport.cgi?bug=25943
>
> The underlying problem seems to be that the geometry settings 
> for an
> invisible or iconified frame get lost somewhere and are not 
> processed
> (or even reverted) when the frame is made visible.  On Windows, 
> the bug
> manifests itself when specifying the geometry in the init file 
> but not
> when the geometry is specified as command argument.  On 
> GNU/Linux the
> bug seems to depend on the window manager - I can't reproduce it 
> here on
> Debian using Xfwm.
>
>> In your suggested test, yes, setting default-frame-alist and 
>> then
>> creating a new iconified frame does indeed give me the desired
>> properties.
>
> Which suggests that creating the initial frame with its 
> dimensions is
> the culprit.  What does M-: RET (frame-width) RET of the 
> deformed frame
> print?
>
>> Please let me know if there are any additional tests you'd like 
>> me to perform.
>
> There are.  First I would like to see whether the bug occurs 
> with all
> possible invocation scenarios in the same way.  Please invoke 
> Emacs as
>
> emacs -Q --iconic --geometry 80x78+1180+0 --font 
> "-misc-fixed-bold-r-normal-*-15-*-100-100-*-*-ISO8859-1"
>
> as
>
> emacs -Q --iconic --load ~/init.el
>
> with init.el specified as
>
> (setq default-frame-alist
>       '((width . 80)
> 	(height . 78)
> 	(left . 1180)
> 	(font 
> . "-misc-fixed-bold-r-normal-*-15-*-100-100-*-*-ISO8859-1")))
>
> and as
>
> emacs -Q --load ~/init.el
>
> with init.el specified as
>
> (setq default-frame-alist
>       '((width . 80)
> 	(height . 78)
> 	(left . 1180)
> 	(font 
> . "-misc-fixed-bold-r-normal-*-15-*-100-100-*-*-ISO8859-1")
> 	(visibility . icon)))
>
> and tell me whether the results are the same.  Also, please tell 
> me what
> your original scenario gives with the line specifying the font 
> setting
> removed from the resource file.
>
> Thanks, martin
>
> PS: Please keep 27923 <at> debbugs.gnu.org CC'd
>

-- 
    Geoff Kuenning   geoff@HIDDEN 
    http://www.cs.hmc.edu/~geoff/

An Internet that is not Open represents a potentially grave risk 
to
freedoms of many sorts -- freedom of speech and other civil 
liberties,
freedom of commerce, and more -- and that openness is what we must 
so
diligently work to both preserve and expand.
		-- Lauren Weinstein




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#27923; Package emacs. Full text available.

Message received at 27923 <at> debbugs.gnu.org:


Received: (at 27923) by debbugs.gnu.org; 19 Aug 2017 09:55:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Aug 19 05:55:50 2017
Received: from localhost ([127.0.0.1]:45167 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1dj0Tu-00037C-9D
	for submit <at> debbugs.gnu.org; Sat, 19 Aug 2017 05:55:50 -0400
Received: from mout.gmx.net ([212.227.17.20]:53894)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1dj0Ts-00036y-Dc
 for 27923 <at> debbugs.gnu.org; Sat, 19 Aug 2017 05:55:48 -0400
Received: from [192.168.1.100] ([46.125.249.118]) by mail.gmx.com (mrgmx102
 [212.227.17.168]) with ESMTPSA (Nemesis) id 0ME47n-1dnAwe37wl-00HR9u; Sat, 19
 Aug 2017 11:55:39 +0200
Message-ID: <59980B16.1020307@HIDDEN>
Date: Sat, 19 Aug 2017 11:55:34 +0200
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Geoff Kuenning <geoff@HIDDEN>
Subject: Re: bug#27923: 24.3; -iconic switch screws up geometry
References: <pnio9rx1z3x.fsf@HIDDEN> <5995604A.3050605@HIDDEN>
 <pniziawo843.fsf@HIDDEN>
In-Reply-To: <pniziawo843.fsf@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K0:iHd0RnbsD2M57vlWy+TkTVgr/mVHlgleU+nDP2xLrlRY64g8sVO
 G0J91hNugr2wCzXCNnKvyHyGebNZLx78fMPDJMxeglPKgtnFzdi8s2wrnjsiv/EauDmfu4x
 ZTvbObmRarC+0JHMqEFEMCJVZgF2zLnAprredzdaoF6tggN/xskpI5jpPjxN5qwh6VGW16K
 eRR6rP8qFl3OYGnPXW1pQ==
X-UI-Out-Filterresults: notjunk:1;V01:K0:A2Q0klANQNY=:a3rEwVtM/03aT/TJKVs+M3
 z+m1j6MyCJrtL14NC7fM7vCgluAi6n29wSdIOQeKI8IL1HM+j1EOWoAY3VdTmO9q0Wi1RDbHC
 r/gBMl9b+TJIdgsO78fmpg+5qRd5IY1NNLFcSzhxIkAuAuOENh3hdKWUHk0dZI+M7A/mNxajl
 8hPXD7JDsJiaxIFvUnd9RZN0q25u8clQKJdlHNVQyGs+uCnwIrOGwYS8GUgl3R8rOfgD7+bsV
 aelDakZLRgZVpKQ0Qij4bwXdvt1pyN0/2H9AddYBygAISg4J8xEfLMnUZgK9/omf/bBpsRCeG
 MWjHV5aahxxOAuPuKWArVAcDXNf5BTgvjNtLza7IeB1vvqw44sUvkZhLQzDGUXkGx8WiI6Q8l
 0ILFHSRqnRM6btdrCGFK1RgiHX30Z9DKKhSuBgHDowWAGwD9EKX1EdO4A8jJf08i/5nl4HFBX
 BqvGLS2pqjaZwpcA3MVN52OcCRJGFCP42PsjyNoHKtowHpVSB1l+m9H7bEOb+LXe9r/trGHdl
 Lc9g4FMVdGooW5URyZWXNlUYtcCieZKWL2yObJa7QBfGvxVJX+WqyVO+7DjC54152aNwZMZ7m
 b4++3RZwgqjSXlvWR9ZPVp2S034Dj//H/8hVE4FnXPYy3g94ud70cpamwYW4WX5mWvNCMQdGQ
 dCEIOSDyGxSDN6s8EYimBE+zdEk5ZO+RLDFNShlW3sgzRXidKTiRmzCh3CgeH7dl6m52LqigI
 x9e/v6jevH6KtyQtrXXY3cAxVFne8LnnQzFzZSUpoyq8+Uc3/gthvyahxOjkO3J2HnODqHMPE
 Dru+y0DxYQ7qPf7afZ2KgLCcg1P81b2HHYbe9Hkr56ZBEhi4G2glf/e/c6ScEWRe9LASqI+
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 27923
Cc: 27923 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

 > My display is 3840x1200.  I'm pretty sure that's wider than 1900. ;-)

That's bad because it means we are in the area of one of the most
elusive bugs I've seen over the past years.  Your scenario has been
already reported (with .emacs instead of using a resource file) as

https://debbugs.gnu.org/cgi/bugreport.cgi?bug=24526

and probably also here

https://debbugs.gnu.org/cgi/bugreport.cgi?bug=25943

The underlying problem seems to be that the geometry settings for an
invisible or iconified frame get lost somewhere and are not processed
(or even reverted) when the frame is made visible.  On Windows, the bug
manifests itself when specifying the geometry in the init file but not
when the geometry is specified as command argument.  On GNU/Linux the
bug seems to depend on the window manager - I can't reproduce it here on
Debian using Xfwm.

 > In your suggested test, yes, setting default-frame-alist and then
 > creating a new iconified frame does indeed give me the desired
 > properties.

Which suggests that creating the initial frame with its dimensions is
the culprit.  What does M-: RET (frame-width) RET of the deformed frame
print?

 > Please let me know if there are any additional tests you'd like me to perform.

There are.  First I would like to see whether the bug occurs with all
possible invocation scenarios in the same way.  Please invoke Emacs as

emacs -Q --iconic --geometry 80x78+1180+0 --font "-misc-fixed-bold-r-normal-*-15-*-100-100-*-*-ISO8859-1"

as

emacs -Q --iconic --load ~/init.el

with init.el specified as

(setq default-frame-alist
       '((width . 80)
	(height . 78)
	(left . 1180)
	(font . "-misc-fixed-bold-r-normal-*-15-*-100-100-*-*-ISO8859-1")))

and as

emacs -Q --load ~/init.el

with init.el specified as

(setq default-frame-alist
       '((width . 80)
	(height . 78)
	(left . 1180)
	(font . "-misc-fixed-bold-r-normal-*-15-*-100-100-*-*-ISO8859-1")
	(visibility . icon)))

and tell me whether the results are the same.  Also, please tell me what
your original scenario gives with the line specifying the font setting
removed from the resource file.

Thanks, martin

PS: Please keep 27923 <at> debbugs.gnu.org CC'd




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#27923; Package emacs. Full text available.

Message received at 27923 <at> debbugs.gnu.org:


Received: (at 27923) by debbugs.gnu.org; 17 Aug 2017 09:22:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Aug 17 05:22:38 2017
Received: from localhost ([127.0.0.1]:41997 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1diH0g-0006n2-9u
	for submit <at> debbugs.gnu.org; Thu, 17 Aug 2017 05:22:38 -0400
Received: from mout.gmx.net ([212.227.17.20]:64753)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1diH0f-0006mp-7b
 for 27923 <at> debbugs.gnu.org; Thu, 17 Aug 2017 05:22:37 -0400
Received: from [192.168.1.100] ([46.125.250.43]) by mail.gmx.com (mrgmx101
 [212.227.17.168]) with ESMTPSA (Nemesis) id 0Ldttv-1dIFzr0y2t-00j4P9; Thu, 17
 Aug 2017 11:22:28 +0200
Message-ID: <5995604A.3050605@HIDDEN>
Date: Thu, 17 Aug 2017 11:22:18 +0200
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Geoff Kuenning <geoff@HIDDEN>, 27923 <at> debbugs.gnu.org
Subject: Re: bug#27923: 24.3; -iconic switch screws up geometry
References: <pnio9rx1z3x.fsf@HIDDEN>
In-Reply-To: <pnio9rx1z3x.fsf@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K0:qHQbM4NlKKyDlSbbzq0tXnowK4Gl1rXaSE4zQh/tRfdx+dgKE9g
 a8+2Y4oJ6rc8BcLKX40dYgbQrUcI9ouCvLGIdJSfP+iKRQxv6NCfv7faa/EpyjoDf3cmwS0
 nCQYVSf2JF2doDrL9YK2306l8pjOWROynBwK5cUUOb5Kup3SjMkOckByryL1DdDxWclbOJU
 TSAxJ2dzGmqL7vpHpqZ5A==
X-UI-Out-Filterresults: notjunk:1;V01:K0:bQqrnxvwOgA=:HxfdSmM7vygH+SVnl1l8Uj
 tI0yA/8tj5aE7t8EdRO/3qBQiVD5fgJJqjgr2FqNLaZW+751jnyKCVaf0uKgo7yizuwj0WQAX
 KM1KwRhxc1CEhEblAMZ1h2N9+7zqb9KPzLRfvahAffstJppBTnChHulx197acS7bNT4uqTqT/
 HXamhyn4vrDTbY3PkAitgM2VgRZ//FIw835AAtFTVb6XmIEelmD6ejgHovAW4znfsX1539YrF
 i0WYfHqE8oLeJRVCcaZ1IFBsUkWgtBAQGeoi4LCSlDWQZHh98c3MJdyUn38wWfLJAPaK3vLz4
 qEfFwSsIBqEX9LLDYcBLVJ1FXM/ioVDQeat1Ea+4RQr4ISh7eIWfgndOk8tjVhbrBMsyNt6Qq
 PaqvB8puaBtRQNpQFyjxqWrPVE3hPjcF8FfjcVngPwmprzJCWUbGqjd3vfVEdPXCtVIbrAROr
 J+GWJMl+IUqusDgeMxoMNQJJ2ONAjXsNp+LhOfhwYV1mboyAbDg2qDzhJ8BGe+08GE3muXidM
 SVdTlm3Ka+nhOwzw8E3k/m7eNNvPSiriWbfodLYKTNblkW85eHc6cCEV4GhYyI1xyCjgy2hd7
 Wr21DwFdjtRPNVlZ8qyLRMwawNCQ+vKBJFgBRs/38RULxjGrBfKumHSzaNgZem/mQ0vomOpiX
 jScS0pVpN5Rg03FMVFpOG6t+ZkUpzeRQ5aii234KSsWTMRSDVjm2qtbYsyE8pWKhXYmA8jhZU
 6IoJ4DCXtQq5B2clI2qGMn78eduXc/nsGTpKQy17A/1O6GrHCNVyw/rRMx5BGwyOq+QfolmdG
 XvZGT/d7qgewOqUnNRnVZ0HfevKdGCs7AlOXcZdY54n/w3bgfgOkIVUZO8qf0wYn6i2zXXu
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 27923
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

 > In 24.3.1, starting emacs with the "-iconic" switch causes the main
 > emacs window to be sized to the width of the icon rather than the width
 > specified in the X resource database.  Interestingly, the height is
 > still correct.  Compare the window created by:
 >
 >      $ emacs &
 >
 > with the one from:
 >
 >      $ emacs -iconic &
 >
 > On my system, the output for "xrdb -query | grep -i emacs" is:
 >
 > gnuemacs.geometry:      80x78+1180+0
 > Emacs.Font:     -misc-fixed-bold-r-normal-*-15-*-100-100-*-*-ISO8859-1
 > gnuemacs*cursorColor:   red
 > lemacs*cursorColor:     red
 >
 > (I realize that some of these entries are obsolete...)

Thanks for the report; apologizes for the late response.  Are you sure
that your display is at least 1900 pixels wide?  If so, then when with
emacs -Q you evaluate the form

(setq default-frame-alist
       '((width . 80)
	(height . 78)
	(left . 1180)
	(font . "-misc-fixed-bold-r-normal-*-15-*-100-100-*-*-ISO8859-1")
	(visibility . icon)))

and subsequently do C-x 5 2 and deiconify the new frame, does it have
the desired properties?

Thanks, martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#27923; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 2 Aug 2017 20:41:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 02 16:41:54 2017
Received: from localhost ([127.0.0.1]:38956 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1dd0So-0000pC-Gn
	for submit <at> debbugs.gnu.org; Wed, 02 Aug 2017 16:41:54 -0400
Received: from eggs.gnu.org ([208.118.235.92]:40409)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <geoff@HIDDEN>) id 1dd0Sn-0000p0-Ql
 for submit <at> debbugs.gnu.org; Wed, 02 Aug 2017 16:41:54 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <geoff@HIDDEN>) id 1dd0Sh-0000Dg-BW
 for submit <at> debbugs.gnu.org; Wed, 02 Aug 2017 16:41:48 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50 autolearn=disabled
 version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:43172)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <geoff@HIDDEN>) id 1dd0Sh-0000DY-7U
 for submit <at> debbugs.gnu.org; Wed, 02 Aug 2017 16:41:47 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:59602)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <geoff@HIDDEN>) id 1dd0Sf-0000wG-Dt
 for bug-gnu-emacs@HIDDEN; Wed, 02 Aug 2017 16:41:46 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <geoff@HIDDEN>) id 1dd0Sb-0000AQ-Ui
 for bug-gnu-emacs@HIDDEN; Wed, 02 Aug 2017 16:41:45 -0400
Received: from mallet.cs.hmc.edu ([134.173.42.59]:57464)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <geoff@HIDDEN>) id 1dd0Sb-00007i-K2
 for bug-gnu-emacs@HIDDEN; Wed, 02 Aug 2017 16:41:41 -0400
Received: by mallet.cs.hmc.edu (Postfix, from userid 13409)
 id 9617EDC15C5; Wed,  2 Aug 2017 13:41:38 -0700 (PDT)
From: Geoff Kuenning <geoff@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 24.3; -iconic switch screws up geometry
Date: Wed, 02 Aug 2017 13:41:38 -0700
Message-ID: <pnio9rx1z3x.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
 [fuzzy]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.1 (----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.1 (----)

In 24.3.1, starting emacs with the "-iconic" switch causes the main
emacs window to be sized to the width of the icon rather than the width
specified in the X resource database.  Interestingly, the height is
still correct.  Compare the window created by:

    $ emacs &

with the one from:

    $ emacs -iconic &

On my system, the output for "xrdb -query | grep -i emacs" is:

gnuemacs.geometry:      80x78+1180+0
Emacs.Font:     -misc-fixed-bold-r-normal-*-15-*-100-100-*-*-ISO8859-1
gnuemacs*cursorColor:   red
lemacs*cursorColor:     red

(I realize that some of these entries are obsolete...)


In GNU Emacs 24.3.1 (x86_64-suse-linux-gnu, GTK+ Version 3.20.10)
 of 2017-07-05 on cloud131
Windowing system distributor `The X.Org Foundation', version 11.0.11803000
System Description:	openSUSE Leap 42.2

Configured using:
 `configure '--with-pop' '--without-hesiod' '--with-kerberos'
 '--with-kerberos5' '--with-xim' '--with-wide-int' '--enable-autodepend'
 '--prefix=/usr' '--mandir=/usr/share/man' '--infodir=/usr/share/info'
 '--datadir=/usr/share' '--localstatedir=/var'
 '--sharedstatedir=/var/lib' '--libexecdir=/usr/lib' '--with-x'
 '--with-sound' '--with-xpm' '--with-jpeg' '--with-tiff' '--with-gif'
 '--with-png' '--with-rsvg' '--with-dbus' '--without-gpm'
 '--with-x-toolkit=gtk3' '--with-toolkit-scroll-bars'
 '--x-includes=/usr/include' '--x-libraries=/usr/lib64' '--with-xft'
 '--with-libotf' '--with-m17n-flt' '--build=x86_64-suse-linux'
 'build_alias=x86_64-suse-linux' 'CFLAGS=-fmessage-length=0
 -grecord-gcc-switches -O2 -Wall -D_FORTIFY_SOURCE=2 -fstack-protector
 -funwind-tables -fasynchronous-unwind-tables -g -D_GNU_SOURCE -pipe
 -Wno-pointer-sign -Wno-unused-variable -Wno-unused-label
 -Wno-unprototyped-calls -fno-optimize-sibling-calls
 -DSYSTEM_PURESIZE_EXTRA=55000 -DSITELOAD_PURESIZE_EXTRA=10000 '
 'LDFLAGS=-Wl,-O2 -Wl,--hash-size=65521''

Important settings:
  value of $LC_ALL: en_US.utf-8
  value of $LC_COLLATE: C
  value of $LC_NUMERIC: POSIX
  value of $LANG: en_US.utf-8
  locale-coding-system: utf-8-unix
  default enable-multibyte-characters: t

Major mode: Text

Minor modes in effect:
  desktop-save-mode: t
  shell-dirtrack-mode: t
  tooltip-mode: t
  mouse-wheel-mode: t
  file-name-shadow-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  auto-fill-function: do-auto-fill

Recent input:
M-x e m a c s - b u <tab> <tab> <tab> C-g M-x a p r 
o p o s <return> b u g <return> C-x o C-v C-v C-v C-v 
C-x 0 M-x r e p o r t <tab> <return>

Recent messages:
Loading `uniquify': old-style backquotes detected!
PGP version set to 5.0.
Setting up indent for shell type sh
setting up indent stuff
Indentation variables are now local.
Indentation setup for shell type sh
Note: file is write protected
Wrote /home/geoff/.emacs.desktop.lock
Desktop: 27 buffers restored.
For information about GNU Emacs and the GNU system, type C-h C-a.
Quit

Load-path shadows:
/home/geoff/lib/notes/notes-first hides ~geoff/elisp/notes-first
/home/geoff/lib/notes/notes-xemacs hides ~geoff/elisp/notes-xemacs
/home/geoff/lib/notes/notes-mode hides ~geoff/elisp/notes-mode
/home/geoff/lib/notes/notes-index-mode hides ~geoff/elisp/notes-index-mode
/home/geoff/lib/notes/notes-variables hides ~geoff/elisp/notes-variables
/home/geoff/lib/notes/notes-url hides ~geoff/elisp/notes-url
/home/geoff/lib/notes/notes-emacs hides ~geoff/elisp/notes-emacs
/home/geoff/lib/notes/notes-aux hides ~geoff/elisp/notes-aux
/home/geoff/lib/notes/notes-bootstrap hides ~geoff/elisp/notes-bootstrap
/usr/local/share/emacs/site-lisp/rep-debugger hides /usr/share/emacs/site-lisp/rep-debugger
/usr/share/emacs/site-lisp/lilypond-init hides /usr/share/emacs/site-lisp/site-start.d/lilypond-init
/usr/share/emacs/site-lisp/flim/md5 hides /usr/share/emacs/site-lisp/w3/md5
/usr/share/emacs/site-lisp/devices hides /usr/share/emacs/site-lisp/w3/devices
/usr/share/emacs/site-lisp/suse-start-xslide hides /usr/share/emacs/site-lisp/xslide/suse-start-xslide
~geoff/elisp/uniquify hides /usr/share/emacs/24.3/lisp/uniquify
~geoff/elisp/remember/remember hides /usr/share/emacs/24.3/lisp/textmodes/remember

Features:
(shadow sort mail-extr gnus-msg gnus-art mm-uu mml2015 epg-config
mm-view mml-smime smime password-cache dig gnus-sum nnoo gnus-group
gnus-undo nnmail mail-source gnus-start gnus-spec gnus-int gnus-range
gnus-win gnus gnus-ems nnheader gnus-util wid-edit emacsbug message idna
mml mml-sec mm-decode mm-bodies mm-encode mail-parse rfc2231 mailabbrev
gmm-utils mailheader sendmail rfc2047 rfc2045 ietf-drums mm-util
mail-prsvr mail-utils help-mode apropos sh-script smie executable bibtex
desktop mailcap org byte-opt warnings bytecomp byte-compile cconv advice
help-fns cl-lib advice-preload ob-tangle ob-ref ob-lob ob-table
org-footnote org-src ob-comint ob-keys org-pcomplete org-list org-faces
org-entities noutline outline easy-mmode org-version ob-emacs-lisp ob
org-compat org-macs ob-eval org-loaddefs format-spec find-func cal-menu
calendar cal-loaddefs remember paren mailcrypt rfc822 easymenu
notes-variables notes-emacs uniquify server pabbrev tex-mode compile
shell pcomplete comint ansi-color ring time-date delsel lpr tooltip
ediff-hook vc-hooks lisp-float-type mwheel x-win x-dnd tool-bar dnd
fontset image regexp-opt fringe tabulated-list newcomment lisp-mode
register page menu-bar rfn-eshadow timer select scroll-bar mouse
jit-lock font-lock syntax facemenu font-core frame cham georgian
utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao korean
japanese hebrew greek romanian slovak czech european ethiopic indian
cyrillic chinese case-table epa-hook jka-cmpr-hook help simple abbrev
minibuffer loaddefs button faces cus-face macroexp files text-properties
overlay sha1 md5 base64 format env code-pages mule custom widget
hashtable-print-readable backquote make-network-process dbusbind
dynamic-setting system-font-setting font-render-setting move-toolbar gtk
x-toolkit x multi-tty emacs)

-- 
    Geoff Kuenning   geoff@HIDDEN   http://www.cs.hmc.edu/~geoff/

An undocumented program is as useless as a non-working one.




Acknowledgement sent to Geoff Kuenning <geoff@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#27923; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 25 Nov 2019 12:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.